[arch-commits] Commit in lablgtk/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Apr 30 02:41:36 EDT 2009


    Date: Thursday, April 30, 2009 @ 02:41:36
  Author: eric
Revision: 37056

Merged revisions 356,37050 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/lablgtk/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r37050 | eric | 2009-04-30 02:20:20 -0400 (Thu, 30 Apr 2009) | 2 lines
  
  upgpkg: lablgtk 1.2.7-7
      Added license, Disabled SMP build
........

Modified:
  lablgtk/repos/extra-i686/	(properties)
  lablgtk/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)


Property changes on: lablgtk/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /lablgtk/trunk:1
   + /lablgtk/trunk:1-37055

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-30 06:32:13 UTC (rev 37055)
+++ extra-i686/PKGBUILD	2009-04-30 06:41:36 UTC (rev 37056)
@@ -3,20 +3,23 @@
 
 pkgname=lablgtk
 pkgver=1.2.7
-pkgrel=6
+pkgrel=7
 pkgdesc=" An Objective Caml interface to gtk+"
 arch=(i686 x86_64)
 url="http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/lablgtk.html"
+license=('LGPL')
 depends=('gtk')
 makedepends=('ocaml')
+options=('!makeflags')
 source=(http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/$pkgname-$pkgver.tar.gz)
+md5sums=('73a797e3a459190fdcaa8288935f6fb9')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  make configure
-  make
-  make opt
-  make  PREFIX=$startdir/pkg/usr LIBDIR=$startdir/pkg/usr/lib/ocaml BINDIR=$startdir/pkg/usr/bin INSTALLDIR=$startdir/pkg/usr/lib/ocaml/lablgtk DLLDIR=$startdir/pkg/usr/lib/ocaml/stublibs install
-rm -r $startdir/pkg/usr/bin
+  cd $srcdir/$pkgname-$pkgver
+  make configure || return 1
+  make || return 1
+  make opt || return 1
+  make  PREFIX=$pkgdir/usr LIBDIR=$pkgdir/usr/lib/ocaml BINDIR=$pkgdir/usr/bin \
+    INSTALLDIR=$pkgdir/usr/lib/ocaml/lablgtk DLLDIR=$pkgdir/usr/lib/ocaml/stublibs install || return 1
+  rm -r $pkgdir/usr/bin
 }
-md5sums=('73a797e3a459190fdcaa8288935f6fb9')



More information about the arch-commits mailing list